<?php

declare(strict_types=1);

namespace Dedi\SyliusMarketingPlugin\DependencyInjection\Settings;

use Dedi\Contracts\SyliusPluginSettings\SettingsInterface as SettingsContractsInterface;

interface SettingsInterface extends SettingsContractsInterface
{
    public function getMarketingId(): string;
    public function getAdditionalParameters(): string;
    public function getChannelIds(): array;
    public function getAsyncTriggers(): array;
    public function getAsyncEvents(): array;
    public function isAsyncReloaded(): bool;
    public function getAsyncConfig(): array;
}
